---
apiVersion: v1
kind: Service
metadata:
  name: ghp
  namespace: ghp
  labels:
    app: ghp
  annotations:
    argocd.argoproj.io/sync-wave: "2"
spec:
  internalTrafficPolicy: Cluster
  ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: https
    - name: http
      port: 80
      protocol: TCP
      targetPort: http
    - name: metrics
      port: 9136
      protocol: TCP
      targetPort: metrics
  selector:
    app: ghp
  sessionAffinity: None
  type: ClusterIP
